<?php

/*++++++++++++++++++++++++++++++++++++++++

  Script: Maian Gallery v2.0
  Written by: David Ian Bennett
  E-Mail: support@maianscriptworld.co.uk
  Website: http://www.maianscriptworld.co.uk

  ++++++++++++++++++++++++++++++++++++++++
  
  This File: defined.inc.php
  Description: Defined Variables

  ++++++++++++++++++++++++++++++++++++++++*/

// Most of these values will not need changing..

// DATA_PAGES        = Data to show per page
define('DATA_PAGES', 25);

// LATEST_COMMENTS   = How many latest comments to show on admin homepage
define('LATEST_COMMENTS', 5);

// IMAGE_PREFIX
// Image prefixes when cards are added (thumb_ = Thumbnails, img_ = Images)
define('IMAGE_PREFIX', 'thumb|pic');
 
// IMG_TYPES
// Allowable File Types for Gallery images. Seperate types with a pipe (|)
define('IMG_TYPES', '.jpg|.png|.gif|.jpeg|.bmp|.swf');

// GIF_SUPPORT
// Enable .gif support for GD Library
define('GIF_SUPPORT', (function_exists('imagecreatefromgif') ? 1 : 0));

// GD Support
// Is GD support enabled
define('GD_SUPPORT', (function_exists('imagecopyresampled') ? 1 : 0));

// Supported GD Extensions
// Supported extensions for GD support
define('GD_EXTENSIONS', '.jpg|.jpeg|.png|.gif');

// Wraps text for comment text to prevent table stretching..
// Prevents some idiot from trying to upset the layout..
define ('COMMENTS_TEXT_WRAP', 70);
 
// ADD_IMG_WDTH
// Width for thumbnail display in admin area
define('ADD_IMG_WDTH', 90);

// ADD_IMG_HGHT
// Height for thumbnail display in admin area
define('ADD_IMG_HGHT', 60);

// Base for file conversion
// 1MB in bytes
define('BASE_CONVERSION', 1024*1024);

// Determine document root for file upload..
// Only change if the upload isn`t working and you are getting safe mode errors...
// This should be the full server path to your installation directory WITH trailing slash..
// Example: /home/server_path/public_html/gallery/
define('DOC_ROOT_FOR_UPLOAD','../');

?>
